#ifndef GAME_H
#define GAME_H

extern "C"
{
	#include <os.h>
	#include "SDL/SDL.h"
	#include "DealOrNoDealLib/DealOrNoDealLib.h"
}

#include "ScreenObjects.h"

class Config;

enum Direction{Up, Down, Left, Right};
enum MouseButton
{
   NoButton,
   CenterButton,
   LeftButton,
   RightButton,
   UpButton,
   DownButton
};

class Game
{
public:
	Game(SDL_Surface* pScreen, Config* pConfig);
	~Game();

	bool Loop();
	
protected:
	bool CheckGameState();
	bool PollEvents();
	void UpdateDisplay();
	void Move(Direction eDirection);
	void Move(int nX, int nY);
	bool SelectCase(bool bMouse);
	void PickNewCurrentCase();

protected:
	SDL_Surface	*m_pScreen;//Does not own
	Config* m_pConfig;
	SDL_Surface *m_pBackground;
	ScreenObjectsControl    m_Objs;
	nSDL_Font       *m_pFont;
	nSDL_Font       *m_pFontSmall;
	touchpad_info_t* m_ptad_info;
	touchpad_report_t m_tpad_report;
	int m_nMouseX, m_nMouseY;
	MouseButton m_eMouseButton;
	int m_nCurrentCase;
        DealOrNoDealLib m_Deal;
};

#endif

