#ifndef MENU_H
#define MENU_H

extern "C"
{
	#include <os.h>
	#include "SDL/SDL.h"
}
#include "ColorIntensity.h"

class Config;

class MainMenu
{
public:
	MainMenu(SDL_Surface* pScreen, Config* pConfig);
	~MainMenu();

	bool Loop();

	bool ShouldQuit() const;
	bool ShouldShowOptions() const;
	bool ShouldShowHelp() const;
	
protected:
	bool PollEvents();
	void UpdateDisplay();

protected:
	SDL_Surface	*m_pScreen;//Does not own
	Config		*m_pConfig;//Does not own
	SDL_Surface 	*m_pBackground;
	nSDL_Font 	*m_pFont;
	nSDL_Font 	*m_pFontPoints;
	enum MenuChoice{Play, Options, Help, Quit};
	MenuChoice 	m_eChoice;
	ColorIntensity m_Color;
	touchpad_info_t* m_ptad_info;
        touchpad_report_t m_tpad_report;
	bool m_bMouseDown;
};

#endif
